> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sqod.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Waiting Area invite

> Send an invite to a waiting area. The invite message can be customised using the invite_message parameter. 

The message will automatically include the link to the waiting area and the name of the waiting area. 

The link to the waiting area can be included in the invite message using **{{link}}** and the name of the waiting area can be included using **{{waiting_area_name}}**.




## OpenAPI

````yaml POST /api/v1/waiting-areas/{waiting_area}/invite
openapi: 3.0.0
info:
  title: SQOD API
  version: 1.0.0
  contact:
    name: Daniel Loomes
    email: dloomes@involve.vc
  description: >-
    RESTful API specification for involve-api.


    All endpoints are secured (unless indicated otherwise) and need a valid
    Bearer token passed in the Authorization header of the request.


    Response model conventions:

    - Fields marked as "required" will have a value

    - Fields not marked as "required" can have a value, but may also be null, or
    may not be included in the response at all

    - Fields of type array may be empty (array with no items) unless validation
    indicates otherwise, however they are always "required"


    Patch update conventions:

    - Send only the fields you want to update with their new values

    - Fields marked as "required" cannot be unset/set to null, however they can
    be omitted from the request body if they should be left unchanged

    - The same rules also apply to fields inside nested objects


    Get collection conventions:

    - All paginated lists accept page and per_page query string parameters


    Other notes:

    - For sub-resources of the User resource, 'me' alias can be used instead of
    the user ID to work with currently authenticated user.

    - Expect 401 response in case of authentication problems, e.g. expired or
    invalid tokens.

    - Expect 403 response in case of authorisation problems, e.g. user doesn't
    have enough privileges to access a given resource.
  license:
    name: Private
    url: https://example.com
servers:
  - url: '{customerRef}'
    description: SQOD Customer Server
    variables:
      customerRef:
        default: ''
        description: Enter your customer URL
  - url: https://auth.app.sqod.co.uk
    description: SQOD Authentication Server
security: []
paths:
  /api/v1/waiting-areas/{waiting_area}/invite:
    parameters:
      - $ref: '#/components/parameters/WaitingArea'
    post:
      tags:
        - Waiting Area
      summary: Send an invite to a waiting area
      description: >
        Send an invite to a waiting area. The invite message can be customised
        using the invite_message parameter. 


        The message will automatically include the link to the waiting area and
        the name of the waiting area. 


        The link to the waiting area can be included in the invite message using
        **{{link}}** and the name of the waiting area can be included using
        **{{waiting_area_name}}**.
      operationId: postWaitingAreaInvite
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  description: The type of invite to send
                  example: email
                  enum:
                    - email
                    - sms
                email:
                  type: string
                  description: >-
                    The email address to send the invite to. Required if type is
                    email.
                  example: test@test.com
                  nullable: true
                phone_number:
                  type: string
                  description: >-
                    The phone number to send the invite to. Required if type is
                    sms.
                  example: 123456789
                  nullable: true
                invite_message:
                  type: string
                  description: >-
                    The message to send with the invite. Will automatically
                    include the link to the waiting area. Use
                    {{waiting_area_name}} and {{link}} to include the name of
                    the waiting area and the link to the waiting area
                    respectively.
                  example: Join {{waiting_area_name}} at {{link}}
                  nullable: true
              required:
                - type
      responses:
        '204':
          description: The request has succeeded.
      security:
        - Cognito: []
components:
  parameters:
    WaitingArea:
      name: waiting_area
      in: path
      description: the UUID of the required waiting area model
      required: true
      schema:
        $ref: '#/components/schemas/Uuid'
  schemas:
    Uuid:
      title: id
      description: Resource identifier as a UUID
      type: string
      example: 9a0f170e-0aa0-47db-ab14-4ddcdcbad061
  securitySchemes:
    Cognito:
      type: http
      description: Provide a Bearer Token
      scheme: bearer

````